import type { NextConfig } from 'next';

const nextConfig: NextConfig = {
  output: 'export', // ⬅️ مهم جدا للتصدير الثابت
  typescript: {
    ignoreBuildErrors: true,
  },
  eslint: {
    ignoreDuringBuilds: true,
  },
  images: {
    unoptimized: true, // ⬅️ ضروري إذا كنت تستعمل <Image />
    remotePatterns: [
      {
        protocol: 'https',
        hostname: 'placehold.co',
        port: '',
        pathname: '/**',
      },
    ],
  },
};

export default nextConfig;
